class Organism {
  float x;
  float y;
  DNA dna;
  float sx;
  float sy;
  float sxt;
  float syt;
  color c;
  Organism() {
    this(new DNA(8));
  }
  Organism(DNA dna) {
    x = random(0,width);
    y = random(0,height);
    c = color(random(255),random(255),random(255));
    this.dna = dna;
  }
  void move() {
    // do something with DNA and x,y,targetX,targetY
    
    // wrap
    if (x<0) x = x+width;
    else if (x>width) x = x-width;
    if (y<0) y = y+height;
    else if (y>height) y = y-height;
  }
  void draw() {
    int s = 10;
    noStroke();
    fill(c);
    smooth();
    ellipse(x,y,s,s);
  }
  float fitness() {
    return -dist(x,y,targetX,targetY);
  }
  public String toString() {
    return "Organism "+fitness()+"\n";
  }
}
